org.vishia.gral.swt

## Class SwtValueBar

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralValueBar.GraphicImplAccess
    - - org.vishia.gral.swt.SwtValueBar

- All Implemented Interfaces:
    GralWidgImpl_ifc

      public class SwtValueBar
      extends GralValueBar.GraphicImplAccess

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SwtValueBar.BarWidget`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) org.eclipse.swt.graphics.Color` | `black`
    `private org.eclipse.swt.graphics.Color[]` | `colorBorder`
    `private SwtWidgetHelper` | `wdgh` It contains the association to the swt widget (Control) and the `SwtMng` and implements some methods of `GralWidgImpl_ifc` which are delegate from this.
    `protected SwtValueBar.BarWidget` | `widgetSwt`

    - ### Fields inherited from class org.vishia.gral.base.GralValueBar.GraphicImplAccess

      `horizontal, ixColor, pix0line, pixLevel, pixvalue`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwtValueBar(GralValueBar widgg, SwtMng mng)` Creates a value bar.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GralRectangle` | `getPixelPositionSize()`
    `java.lang.Object` | `getWidgetImplementation()` Returns the implementation class of the widget.
    `protected void` | `paintRoutine(SwtValueBar.BarWidget wdgs, org.eclipse.swt.events.PaintEvent e)`
    `void` | `removeWidgetImplementation()` Removes the graphical widget in the graphic.
    `void` | `repaintGthread()` This method should be implemented in all Widget implementations of the adapter for the underlying graphic system.
    `void` | `setBorderAndColorsImpl(java.lang.String[] sColorLevels)`
    `void` | `setBounds()`
    `void` | `setBoundsPixel(int x, int y, int dx, int dy)`
    `boolean` | `setFocusGThread()` Sets the focus to the widget.
    `void` | `setVisibleGThread(boolean bVisible)` Sets the implementation widget(s) visible state.
    `(package private) void` | `stop()`

    - ### Methods inherited from class org.vishia.gral.base.GralValueBar.GraphicImplAccess

      `horizontal, ixColor, pix0line, pixvalue, setValue`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wdgh

          private final SwtWidgetHelper wdgh

      It contains the association to the swt widget (Control) and the `SwtMng` and implements some methods of `GralWidgImpl_ifc` which are delegate from this.

    - #### widgetSwt

          protected SwtValueBar.BarWidget widgetSwt

    - #### black

          final org.eclipse.swt.graphics.Color black

    - #### colorBorder

          private org.eclipse.swt.graphics.Color[] colorBorder

  - ### Constructor Detail

    - #### SwtValueBar

          public SwtValueBar(GralValueBar widgg,
                             SwtMng mng)

      Creates a value bar.
      Parameters:
        `mng` - The Gui-panel-manager contains information about the graphic frame and properties.
        `size` - The size of text in button, use 'A' or 'B' for small - bold

  - ### Method Detail

    - #### setBounds

          public void setBounds()

    - #### repaintGthread

          public void repaintGthread()

      Description copied from interface: `GralWidgImpl_ifc`
      This method should be implemented in all Widget implementations of the adapter for the underlying graphic system.
      Implementation hints: In SWT it should call redraw().
      It is possible that the widget consists of more as one graphical widget, then all of it should be redrawn. It is possible that some data are set in another thread, they should be applied to the widgets firstly. It is possible that the widget is removed though a repaintGthread-order is pending from the time before deleting, for example if the graphic layout is changed.
      See `#repaintRequ`

    - #### setBorderAndColorsImpl

          public void setBorderAndColorsImpl(java.lang.String[] sColorLevels)

      Specified by:
        `setBorderAndColorsImpl` in class `GralValueBar.GraphicImplAccess`

    - #### getWidgetImplementation

          public java.lang.Object getWidgetImplementation()

      Description copied from interface: `GralWidgImpl_ifc`
      Returns the implementation class of the widget. If the widget has more as one implementation widgets, this method returns one of the widgets, usual the first important one respectively that widget which represents the implementation layer. A widget of the implementation layer is a SWT.control or a `Component`.
      If more as one widget are part of the GralWidget, use the special `GralWidget._wdgImpl` class which should contain the references to that implementation widgets.

    - #### setFocusGThread

          public boolean setFocusGThread()

      Description copied from interface: `GralWidgImpl_ifc`
      Sets the focus to the widget. See `GralMng_ifc#setFocus(GralWidget)`.
      Returns:
        true if it has the focus after this operation. false on any error.

    - #### setVisibleGThread

          public void setVisibleGThread(boolean bVisible)

      Description copied from interface: `GralWidgImpl_ifc`
      Sets the implementation widget(s) visible state. The widgets are really invisible, or they are visible in principle, but they can be covered by other windows or clipping. This method should set the `GralWidget.bVisibleState` too. Therewith it is able to quest `GralWidget.isVisible()` in any thread.
      Parameters:
        `bVisible` - true then the widget should be visible, false it is set to invisible.

    - #### paintRoutine

          protected void paintRoutine(SwtValueBar.BarWidget wdgs,
                                      org.eclipse.swt.events.PaintEvent e)

    - #### stop

          void stop()

    - #### setBoundsPixel

          public void setBoundsPixel(int x,
                                     int y,
                                     int dx,
                                     int dy)

    - #### removeWidgetImplementation

          public void removeWidgetImplementation()

      Description copied from interface: `GralWidgImpl_ifc`
      Removes the graphical widget in the graphic.

    - #### getPixelPositionSize

          public GralRectangle getPixelPositionSize()